"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const chai_1 = require("chai");
const operators_1 = require("rxjs/operators");
const __1 = require("..");
describe('fromReadStream', () => {
    const filename = `${__dirname}/files/test.txt`;
    it('returns an observable with the stream contents', () => __awaiter(this, void 0, void 0, function* () {
        const file = fs_1.createReadStream(filename);
        const EXPECTED_CONTENT = fs_1.readFileSync(filename).toString();
        const observable = __1.fromReadStream(file);
        const result = yield observable.pipe(operators_1.reduce((acc, val) => acc + val, '')).toPromise();
        chai_1.expect(result).to.equal(EXPECTED_CONTENT);
    }));
});
//# sourceMappingURL=index.test.js.map